"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
const plugin_1 = __importDefault(require("tailwindcss/plugin"));
const color_1 = require("./color");
const spread_1 = require("./spread");
const variant_1 = require("./variant");
const features = [color_1.color, spread_1.spread, variant_1.variant];
const defaultStyles = {
    "--tw-highlight-z-index": "-1",
    content: "var(--tw-content)",
    position: "absolute",
    zIndex: "var(--tw-highlight-z-index)",
};
module.exports = (0, plugin_1.default)((p) => {
    const { addUtilities } = p;
    addUtilities({
        ".highlight": {
            isolation: "isolate",
            position: "relative",
            ...color_1.defaultColors,
            ...spread_1.defaultSpreadValues,
            ...variant_1.defaultVariant,
            "&::after": {
                ...defaultStyles,
                ...color_1.colorStyles,
                ...spread_1.spreadStyles,
                ...variant_1.variantStyles,
            },
        },
    });
    features.forEach((f) => f(p));
});
